<?php
/*
Plugin Name: SiloFactory

Plugin URI:   https://www.web-dimensions.net

Description:   A blog configuration tool for use with Web Dimensions software

Version:        1.4.0

Author:   Web Dimensions, Inc.

Author URI: https://www.web-dimensions.net
*/

// Define Post Details Paths and Directories

define("SILO_FACTORY_FILENAME", basename(__FILE__));

define("SILO_FACTORY_PLUGIN_NAME","SiloFactory");

$path = $_SERVER['REQUEST_URI'];

$path_length = strpos($path, SILO_FACTORY_FILENAME) + strlen(SILO_FACTORY_FILENAME);

$path = substr($path, 0, strpos($path, '?')) . '?page=silofactory';


define("SILO_FACTORY_ADMIN_PLUGIN_PATH", $path);

//if ($is_windows) {
//
//	$temp = str_replace(SILO_FACTORY_FILENAME, "", __FILE__);
//
//	$temp = str_replace("\\", "/", $temp);	//switch direction of slashes
//
//	define("SILO_FACTORY_PLUGIN_PATH", $temp);
//
//}
//
//else
//{

define("SILO_FACTORY_PLUGIN_PATH", str_replace(SILO_FACTORY_FILENAME, "", __FILE__));

//}


if ( ! defined( 'WP_PATH_DIR' ) )
	  define( 'WP_PATH_DIR', ABSPATH );
if ( ! defined( 'WP_CONTENT_DIR' ) )
	  define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
if ( ! defined( 'WP_PLUGIN_URL' ) )
	  define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );
if ( ! defined( 'WP_PLUGIN_DIR' ) )
	  define( 'WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins' );

define("SILO_FACTORY_PLUGIN_URL",  plugins_url("/", __FILE__));

//define("EDITOR_SPECIAL_PAGE_TITLE",'Silo Factory Editor Special Page (do not delete!)');
//define("EDITOR_SPECIAL_PAGE_SLUG",'silo-factory-editor-window');
//define("IMAGEVIEW_SPECIAL_PAGE_TITLE",'Silo Factory Image Finder Special Page (do not delete!)');
//define("IMAGEVIEW_SPECIAL_PAGE_SLUG",'silo-factory-image-finder-window');
//define("VIDEOVIEW_SPECIAL_PAGE_TITLE",'Silo Factory Video Finder Special Page (do not delete!)');
//define("VIDEOVIEW_SPECIAL_PAGE_SLUG",'silo-factory-video-finder-window');

include( plugin_dir_path( __FILE__ ) . 'functions.php');

$SiloFactory = new SiloFactory;

add_filter( 'xmlrpc_methods', 'add_silofactory_method');


?>